from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SearchAlgorithms(IntEnum):
    ABSOLUTE = auto()
    REGEXP = auto()
    APPROXIMATE = auto()
